Package owl.grammar

## Class TLSFParserBaseListener

- java.lang.Object
- - owl.grammar.TLSFParserBaseListener

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTreeListener`, `TLSFParserListener`

      public class TLSFParserBaseListener
      extends Object
      implements TLSFParserListener

  This class provides an empty implementation of `TLSFParserListener`, which can be extended to create a listener which only needs to handle a subset of the available methods.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TLSFParserBaseListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `enterEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)`
    `void` | `enterInput​(TLSFParser.InputContext ctx)` | Enter a parse tree produced by `TLSFParser.input()`.
    `void` | `enterOutput​(TLSFParser.OutputContext ctx)` | Enter a parse tree produced by `TLSFParser.output()`.
    `void` | `enterSemantics​(TLSFParser.SemanticsContext ctx)` | Enter a parse tree produced by `TLSFParser.semantics()`.
    `void` | `enterSpecification​(TLSFParser.SpecificationContext ctx)` | Enter a parse tree produced by `TLSFParser.specification()`.
    `void` | `enterTarget​(TLSFParser.TargetContext ctx)` | Enter a parse tree produced by `TLSFParser.target()`.
    `void` | `enterTlsf​(TLSFParser.TlsfContext ctx)` | Enter a parse tree produced by `TLSFParser.tlsf()`.
    `void` | `exitEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)`
    `void` | `exitInput​(TLSFParser.InputContext ctx)` | Exit a parse tree produced by `TLSFParser.input()`.
    `void` | `exitOutput​(TLSFParser.OutputContext ctx)` | Exit a parse tree produced by `TLSFParser.output()`.
    `void` | `exitSemantics​(TLSFParser.SemanticsContext ctx)` | Exit a parse tree produced by `TLSFParser.semantics()`.
    `void` | `exitSpecification​(TLSFParser.SpecificationContext ctx)` | Exit a parse tree produced by `TLSFParser.specification()`.
    `void` | `exitTarget​(TLSFParser.TargetContext ctx)` | Exit a parse tree produced by `TLSFParser.target()`.
    `void` | `exitTlsf​(TLSFParser.TlsfContext ctx)` | Exit a parse tree produced by `TLSFParser.tlsf()`.
    `void` | `visitErrorNode​(org.antlr.v4.runtime.tree.ErrorNode node)`
    `void` | `visitTerminal​(org.antlr.v4.runtime.tree.TerminalNode node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSFParserBaseListener

          public TLSFParserBaseListener()

  - ### Method Detail

    - #### enterTlsf

          public void enterTlsf​(TLSFParser.TlsfContext ctx)

      Enter a parse tree produced by `TLSFParser.tlsf()`.

      The default implementation does nothing.

      Specified by:
        `enterTlsf` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitTlsf

          public void exitTlsf​(TLSFParser.TlsfContext ctx)

      Exit a parse tree produced by `TLSFParser.tlsf()`.

      The default implementation does nothing.

      Specified by:
        `exitTlsf` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSemantics

          public void enterSemantics​(TLSFParser.SemanticsContext ctx)

      Enter a parse tree produced by `TLSFParser.semantics()`.

      The default implementation does nothing.

      Specified by:
        `enterSemantics` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSemantics

          public void exitSemantics​(TLSFParser.SemanticsContext ctx)

      Exit a parse tree produced by `TLSFParser.semantics()`.

      The default implementation does nothing.

      Specified by:
        `exitSemantics` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterTarget

          public void enterTarget​(TLSFParser.TargetContext ctx)

      Enter a parse tree produced by `TLSFParser.target()`.

      The default implementation does nothing.

      Specified by:
        `enterTarget` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitTarget

          public void exitTarget​(TLSFParser.TargetContext ctx)

      Exit a parse tree produced by `TLSFParser.target()`.

      The default implementation does nothing.

      Specified by:
        `exitTarget` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterInput

          public void enterInput​(TLSFParser.InputContext ctx)

      Enter a parse tree produced by `TLSFParser.input()`.

      The default implementation does nothing.

      Specified by:
        `enterInput` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitInput

          public void exitInput​(TLSFParser.InputContext ctx)

      Exit a parse tree produced by `TLSFParser.input()`.

      The default implementation does nothing.

      Specified by:
        `exitInput` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterOutput

          public void enterOutput​(TLSFParser.OutputContext ctx)

      Enter a parse tree produced by `TLSFParser.output()`.

      The default implementation does nothing.

      Specified by:
        `enterOutput` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitOutput

          public void exitOutput​(TLSFParser.OutputContext ctx)

      Exit a parse tree produced by `TLSFParser.output()`.

      The default implementation does nothing.

      Specified by:
        `exitOutput` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSpecification

          public void enterSpecification​(TLSFParser.SpecificationContext ctx)

      Enter a parse tree produced by `TLSFParser.specification()`.

      The default implementation does nothing.

      Specified by:
        `enterSpecification` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSpecification

          public void exitSpecification​(TLSFParser.SpecificationContext ctx)

      Exit a parse tree produced by `TLSFParser.specification()`.

      The default implementation does nothing.

      Specified by:
        `exitSpecification` in interface `TLSFParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterEveryRule

          public void enterEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)

      The default implementation does nothing.

      Specified by:
        `enterEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### exitEveryRule

          public void exitEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)

      The default implementation does nothing.

      Specified by:
        `exitEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### visitTerminal

          public void visitTerminal​(org.antlr.v4.runtime.tree.TerminalNode node)

      The default implementation does nothing.

      Specified by:
        `visitTerminal` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### visitErrorNode

          public void visitErrorNode​(org.antlr.v4.runtime.tree.ErrorNode node)

      The default implementation does nothing.

      Specified by:
        `visitErrorNode` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`